# Uses of Class
org.eclipse.core.commands.Command

Packages that use Command
Package
Description
org.eclipse.core.commands
Application programming interfaces for commands and handlers.
org.eclipse.e4.core.commands
org.eclipse.e4.core.commands.internal
org.eclipse.ui.commands
Provides support for retrieving information on Commands from the workbench.
org.eclipse.ui.handlers
Provides support for integrating handlers into the Eclipse workbench.

## Uses of Command in org.eclipse.core.commands

Subclasses with type arguments of type Command in org.eclipse.core.commands
Modifier and Type
Class
Description
`final class`
`CommandManager`
A central repository for commands -- both in the defined and undefined states.
Methods in org.eclipse.core.commands that return Command
Modifier and Type
Method
Description
`Command[]`
CommandManager.`getAllCommands()`
Returns all of the commands known by this manager -- defined and undefined.
`final Command`
CommandEvent.`getCommand()`
Returns the instance of the interface that changed.
`Command`
CommandManager.`getCommand(String commandId)`
Gets the command with the given identifier.
`final Command`
ExecutionEvent.`getCommand()`
Returns the command being executed.
`Command`
ParameterizedCommand.`getCommand()`
Returns the base command.
`Command[]`
CommandManager.`getDefinedCommands()`
Returns the commands that are defined.
Methods in org.eclipse.core.commands with parameters of type Command
Modifier and Type
Method
Description
`static Collection`
ParameterizedCommand.`generateCombinations(Command command)`
Generates all the possible combinations of command parameterizations for the given command.
`static ParameterizedCommand`
ParameterizedCommand.`generateCommand(Command command, Map parameters)`
Take a command and a map of parameter IDs to values, and generate the appropriate parameterized command.
`String`
CommandManager.`getHelpContextId(Command command)`
Gets the help context identifier for a particular command.
Constructors in org.eclipse.core.commands with parameters of type Command
Modifier
Constructor
Description
``
`CommandEvent(Command command, boolean categoryChanged, boolean definedChanged, boolean descriptionChanged, boolean handledChanged, boolean nameChanged, boolean parametersChanged)`
Creates a new instance of this class.
``
`CommandEvent(Command command, boolean categoryChanged, boolean definedChanged, boolean descriptionChanged, boolean handledChanged, boolean nameChanged, boolean parametersChanged, boolean returnTypeChanged)`
Creates a new instance of this class.
``
`CommandEvent(Command command, boolean categoryChanged, boolean definedChanged, boolean descriptionChanged, boolean handledChanged, boolean nameChanged, boolean parametersChanged, boolean returnTypeChanged, boolean helpContextIdChanged)`
Creates a new instance of this class.
``
`CommandEvent(Command command, boolean categoryChanged, boolean definedChanged, boolean descriptionChanged, boolean handledChanged, boolean nameChanged, boolean parametersChanged, boolean returnTypeChanged, boolean helpContextIdChanged, boolean enabledChanged)`
Creates a new instance of this class.
``
`ExecutionEvent(Command command, Map parameters, Object trigger, Object applicationContext)`
Constructs a new instance of `ExecutionEvent`.
``
`ParameterizedCommand(Command command, Parameterization[] parameterizations)`
Constructs a new instance of `ParameterizedCommand` with specific values for zero or more of its parameters.

## Uses of Command in org.eclipse.e4.core.commands

Methods in org.eclipse.e4.core.commands that return Command
Modifier and Type
Method
Description
`Command`
ECommandService.`defineCommand(String id, String name, String description, Category category, IParameter[] parameters)`
`Command`
ECommandService.`defineCommand(String id, String name, String description, Category category, IParameter[] parameters, String helpContextId)`
`Command`
ECommandService.`getCommand(String commandId)`
Get command for id.

## Uses of Command in org.eclipse.e4.core.commands.internal

Methods in org.eclipse.e4.core.commands.internal that return Command
Modifier and Type
Method
Description
`Command`
CommandServiceImpl.`defineCommand(String id, String name, String description, Category category, IParameter[] parameters)`
`Command`
CommandServiceImpl.`defineCommand(String id, String name, String description, Category category, IParameter[] parameters, String helpContextId)`
`Command`
CommandServiceImpl.`getCommand(String commandId)`

## Uses of Command in org.eclipse.ui.commands

Methods in org.eclipse.ui.commands that return Command
Modifier and Type
Method
Description
`Command`
ICommandService.`getCommand(String commandId)`
Retrieves the command with the given identifier.
`Command[]`
ICommandService.`getDefinedCommands()`
Returns the collection of all of the defined commands in the workbench.
Methods in org.eclipse.ui.commands with parameters of type Command
Modifier and Type
Method
Description
`String`
ICommandService.`getHelpContextId(Command command)`
Gets the help context identifier for a particular command.

## Uses of Command in org.eclipse.ui.handlers

Methods in org.eclipse.ui.handlers with parameters of type Command
Modifier and Type
Method
Description
`ExecutionEvent`
IHandlerService.`createExecutionEvent(Command command, Event event)`
Creates an execution event based on an SWT event.
`static boolean`
HandlerUtil.`toggleCommandState(Command command)`
Toggles the command's state.
`static void`
HandlerUtil.`updateRadioState(Command command, String newState)`
Updates the radio state of the command to the given value